%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		zix
Version:	0.4.2
Release:	%mkrel 1
Summary:	A lightweight C99 portability and data structure library
License:	ISC License (ISC)
Group:		System/Libraries
URL:		https://gitlab.com/drobilla/zix
Source0:	https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	doxygen
BuildRequires:	python3-sphinx
#BuildRequires:	python-sphinxygen

%description
Zix is a lightweight C library of portability wrappers and data structures.


%package -n %{lib_name}
Summary:	A lightweight C99 portability and data structure library
Group:		System/Libraries

%description -n %{lib_name}
Zix is a lightweight C library of portability wrappers and data structures.


%package -n %{lib_name_devel}
Summary:	Headers for the Lightweight Zix library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.


%prep
%autosetup -p1

%build
%meson \
        -Dbenchmarks=disabled \
        -Ddocs=disabled \
        -Dhtml=disabled \
        -Dsinglehtml=disabled
%meson_build

%install
%meson_install

%files -n %{lib_name}
%license COPYING
%doc README.md
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_includedir}/%{name}-%{lib_api}/
%{_libdir}/lib%{name}-%{lib_api}.so
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc


%changelog
* Thu Nov 30 2023 daviddavid <daviddavid> 0.4.2-1.mga10
+ Revision: 2011899
- initial package zix

